import { createAction, props } from '@ngrx/store';
export function createMultiSelectionTraitActions(actionsGroupKey) {
    return {
        multiSelect: createAction(`${actionsGroupKey} Multi Select`, props()),
        multiDeselect: createAction(`${actionsGroupKey} Multi Deselect`, props()),
        multiToggleSelect: createAction(`${actionsGroupKey} Multi Toggle Select`, props()),
        toggleSelectAll: createAction(`${actionsGroupKey} Toggle Select All`),
        multiClearSelection: createAction(`${actionsGroupKey} Clear Selection`),
    };
}
//# sourceMappingURL=multi-selection.trait.actions.js.map