import { FeatureFactory, TraitsLocalStore } from 'ngrx-traits';
import { Provider, Type } from '@angular/core';
export declare function provideMockLocalTraits<T extends TraitsLocalStore<FeatureFactory>>({ traitFactory, selectors, }: {
    traitFactory: Type<T>;
    selectors?: {
        [key in keyof T['selectors']]?: ReturnType<T['selectors'][key]>;
    };
}): Provider[];
